VST 3 Examples: EditorSizeController Class Reference
Author: Steinberg

VST 3 Examples VST 3.8 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | Static Public Attributes | List of all members
EditorSizeController Class Reference

`#include <editorsizecontroller.h>`

Inheritance diagram for EditorSizeController:

## Public Types
using | SizeFunc = std::function<void (float)>

## Public Member Functions
| EditorSizeController (EditController *editController, const SizeFunc &sizeFunc, double currentSizeFactor)
| ~EditorSizeController () override
void | update (FUnknown *changedUnknown, int32 message) override
VSTGUI::CView * | verifyView (VSTGUI::CView *view, const VSTGUI::UIAttributes &attributes, const VSTGUI::IUIDescription *description) override
void | valueChanged (VSTGUI::CControl *pControl) override
void | controlBeginEdit (VSTGUI::CControl *pControl) override
void | controlEndEdit (VSTGUI::CControl *pControl) override
void | setSizeFactor (double factor)

## Public Attributes
OBJ_METHODS(EditorSizeController, FObject) private RangeParameter * | sizeParameter = nullptr
SizeFunc | sizeFunc

## Static Public Attributes
static const int32_t | kSizeParamTag = 2000

## Member Typedef Documentation

## ◆ SizeFunc

using SizeFunc = std::function<void (float)>

## Constructor & Destructor Documentation

## ◆ EditorSizeController()

EditorSizeController | ( | EditController * | editController,
|  | const SizeFunc & | sizeFunc,
|  | double | currentSizeFactor )

## ◆ ~EditorSizeController()

~EditorSizeController | ( |  | ) |
| override

## Member Function Documentation

## ◆ update()

void update | ( | FUnknown * | changedUnknown,
|  | int32 | message )
| override

## ◆ verifyView()

VSTGUI::CView * verifyView | ( | VSTGUI::CView * | view,
|  | const VSTGUI::UIAttributes & | attributes,
|  | const VSTGUI::IUIDescription * | description )
| override

## ◆ valueChanged()

void valueChanged | ( | VSTGUI::CControl * | pControl | ) |
| override

## ◆ controlBeginEdit()

void controlBeginEdit | ( | VSTGUI::CControl * | pControl | ) |
| override

## ◆ controlEndEdit()

void controlEndEdit | ( | VSTGUI::CControl * | pControl | ) |
| override

## ◆ setSizeFactor()

void setSizeFactor | ( | double | factor | ) |

## Member Data Documentation

## ◆ kSizeParamTag

const int32_t kSizeParamTag = 2000
| static

## ◆ sizeParameter

OBJ_METHODS (EditorSizeController, FObject) private RangeParameter* sizeParameter = nullptr

## ◆ sizeFunc

SizeFunc sizeFunc

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.